package com.example.catchTheLetters.service;

import com.example.catchTheLetters.entity.LoginDto;
import com.example.catchTheLetters.entity.User;

/**
 * 认证服务接口
 * @author spyn
 */
public interface AuthService {
    /**
     * 登录
     * @param loginDto 登录信息
     * @return token
     */
    String login(LoginDto loginDto);

    /**
     * 注销
     * @param token token
     * @return 是否成功
     */
    boolean logout(String token);

    /**
     * 验证token
     * @param token token
     * @return 用户信息（不可以包含密码）
     */
    User verify(String token);
}
